=== modified file 'bzrlib/plugins/bash_completion/tests/test_bashcomp.py'
--- bzrlib/plugins/bash_completion/tests/test_bashcomp.py	2010-05-29 10:30:53 +0000
+++ bzrlib/plugins/bash_completion/tests/test_bashcomp.py	2011-01-28 10:28:35 +0000
@@ -14,6 +14,8 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
+import sys
+
 import bzrlib
 from bzrlib import commands, tests
 from bzrlib.tests import features
@@ -27,6 +29,7 @@
     """Component for testing execution of a bash completion script."""
 
     _test_needs_features = [features.bash_feature]
+    script = None
 
     def complete(self, words, cword=-1):
         """Perform a bash completion.
@@ -95,10 +98,6 @@
 class TestBashCompletion(tests.TestCase, BashCompletionMixin):
     """Test bash completions that don't execute bzr."""
 
-    def __init__(self, methodName='testMethod'):
-        super(TestBashCompletion, self).__init__(methodName)
-        self.script = None
-
     def test_simple_scipt(self):
         """Ensure that the test harness works as expected"""
         self.script = """
@@ -155,9 +154,11 @@
     will be replaced by the bzr instance running this selftest.
     """
 
-    def __init__(self, methodName='testMethod'):
-        super(TestBashCompletionInvoking, self).__init__(methodName)
-        self.script = None
+    def setUp(self):
+        super(TestBashCompletionInvoking, self).setUp()
+        if sys.platform == 'win32':
+            raise tests.KnownFailure(
+                'see bug #709104, completion is broken on windows')
 
     def get_script(self):
         s = super(TestBashCompletionInvoking, self).get_script()

